using Devart.Data.PostgreSql.Entity;
using Devart.Data.PostgreSql.Entity.Migrations;

namespace PostgreSQLFullTextSearch.Migrations
{
    using System.Data.Entity.Migrations;
    
    public partial class AddBook : DbMigration
    {
        public override void Up()
        {
            CreateTable(
                "Books",
                c => new
                    {
                        Id = c.Int(nullable: false, identity: true),
                        Author = c.String(maxLength: 200),
                        Name = c.String(maxLength: 300),
                        Content = c.String(unicode: false),
                    })
                .Index(c => c.Content,
                anonymousArguments: new PgSqlCreateIndexConfiguration()
                {
                    IndexType = PgSqlIndexType.Gin,
                    UseToTsVectorFunction = true,
                    ToTsVectorConfigName = "english"
                })
                .PrimaryKey(t => t.Id);
            
        }
        
        public override void Down()
        {
            DropTable("Books");
        }
    }
}
